cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe-Inferred
Language | Haskell2010

Cryptol.Eval.FFI.GenHeader

Description

Generate C header files from foreign declarations.

Synopsis

- generateForeignHeader :: [(Name, FFIFunType)] -> String

# Documentation

generateForeignHeader :: [(Name, FFIFunType)] -> String Source #

Generate a C header file from the given foreign declarations.